using System;
using System.Diagnostics.CodeAnalysis;
using System.Diagnostics.Tracing;
using System.Resources;
using System.Runtime.CompilerServices;

namespace Program_Console_C_sharp
{
    class Program

    {
        static void Main(string[] args)
        {
            int b,c,a=0;
            c = int.Parse(Console.ReadLine());
            if (b + c < 256)
            {
                if (b > c)
                {
                    a = 256 - b;
                }
                else
                {
                    a = 256 - c;
                }
            }
        }

    }
}